Create Lead
curl --request POST \
--url https://eu-gcp-api.vg-stuff.com/v3/leads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lead": {
"agentId": "<string>",
"email": "<string>",
"name": "<string>",
"phone": "<string>",
"metaData": {
"address": "<string>",
"company": "<string>",
"website": "<string>",
"notes": "<string>",
"source": "chat",
"currency": "<string>",
"value": 123,
"expectedCloseDate": "<string>",
"subIndustry": "<string>",
"language": "<string>",
"linkedIn": "<string>",
"facebook": "<string>",
"instagram": "<string>",
"demoDate": "<string>",
"demoTime": "<string>",
"demoLink": "<string>",
"lostReason": "<string>"
},
"hotScore": 123,
"lastActivityDate": "<string>",
"crmActivities": [
{
"id": "<string>",
"title": "<string>",
"date": "<string>",
"dueDate": "<string>",
"completed": true,
"responded": true,
"firstEngaged": true,
"secondEngaged": true,
"note": "<string>",
"notesHistory": [
{
"text": "<string>",
"agentId": "<string>",
"agentName": "<string>",
"timestamp": "<string>"
}
],
"metadata": {}
}
]
}
}
'{
"success": true,
"message": "<string>",
"data": "<unknown>"
}Leads
Create Lead
Creates a new lead with the specified configuration, this route must use the new V3 endpoints.
POST
/
leads
Create Lead
curl --request POST \
--url https://eu-gcp-api.vg-stuff.com/v3/leads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lead": {
"agentId": "<string>",
"email": "<string>",
"name": "<string>",
"phone": "<string>",
"metaData": {
"address": "<string>",
"company": "<string>",
"website": "<string>",
"notes": "<string>",
"source": "chat",
"currency": "<string>",
"value": 123,
"expectedCloseDate": "<string>",
"subIndustry": "<string>",
"language": "<string>",
"linkedIn": "<string>",
"facebook": "<string>",
"instagram": "<string>",
"demoDate": "<string>",
"demoTime": "<string>",
"demoLink": "<string>",
"lostReason": "<string>"
},
"hotScore": 123,
"lastActivityDate": "<string>",
"crmActivities": [
{
"id": "<string>",
"title": "<string>",
"date": "<string>",
"dueDate": "<string>",
"completed": true,
"responded": true,
"firstEngaged": true,
"secondEngaged": true,
"note": "<string>",
"notesHistory": [
{
"text": "<string>",
"agentId": "<string>",
"agentName": "<string>",
"timestamp": "<string>"
}
],
"metadata": {}
}
]
}
}
'{
"success": true,
"message": "<string>",
"data": "<unknown>"
}Example Request
{
"lead": {
"agentId": "your_agent_id",
"name": "John Doe",
"email": "john@example.com",
"phone": "+1234567890",
"metaData": {
"company": "Acme Inc",
"source": "api",
"notes": "Interested in enterprise plan"
}
}
}
agentId is required. At least one contact field (email, phone, or name) is recommended.Use the
metaData.source field to track where leads come from (e.g., ‘chat’, ‘web’, ‘api’, ‘import’).⌘I
